ApiOauth apps
Delete OAuth app
Permanently delete an OAuth app and all its server links via cascade. Existing user connections using this app will become invalid.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
app_id*string
Format
uuidCookie Parameters
access_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/oauth-apps/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create OAuth app
Create a new OAuth app from a template with encrypted client credentials. The app inherits default configuration from the template but can override settings.
Detach OAuth app from server
Remove the link between an OAuth app and an MCP server. Existing user connections are not affected, but new connections cannot be created.
